# This file is auto generated.
# Remove/modify this header if you want to customize the operation.
mutation occ_doHandleSopPaymentResponse_mutation($baseSiteId: String!, $cartId: String!, $fields: String = "DEFAULT", $input: JSON, $userId: String!) {
  occ_doHandleSopPaymentResponse(
    baseSiteId: $baseSiteId
    cartId: $cartId
    fields: $fields
    input: $input
    userId: $userId
  ) {
    ... on occ_PaymentDetails {
      accountHolderName
      billingAddress {
        cellphone
        companyName
        country {
          isocode
          name
        }
        defaultAddress
        district
        email
        firstName
        formattedAddress
        id
        lastName
        line1
        line2
        phone
        postalCode
        region {
          countryIso
          isocode
          isocodeShort
          name
        }
        shippingAddress
        title
        titleCode
        town
        visibleInAddressBook
      }
      cardNumber
      cardType {
        code
        name
      }
      defaultPayment
      expiryMonth
      expiryYear
      id
      issueNumber
      saved
      startMonth
      startYear
      subscriptionId
    }
    ... on occ_errorList {
      errors {
        errorCode
        exceptionMessage
        language
        message
        position
        reason
        subject
        subjectType
        type
      }
    }
  }
}